Page MenuHomePhabricator

[lldb] Delete ValueObject::GetBaseClassPath
ClosedPublic

Authored by xiaobai on Jan 27 2020, 6:02 PM.

Details

Summary

This method has exactly one call site, which is only actually executed
if ValueObject::IsBaseClass returns false. However, the first thing
that ValueObject::GetBaseClassPath does is check if ValueObject::IsBaseClass
is true. Because this can never be the case, this method always returns false
and is therefore effectively dead.

Diff Detail

Event Timeline

xiaobai created this revision.Jan 27 2020, 6:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 27 2020, 6:02 PM

Note: This makes D69820 unnecessary so I will close that if this goes through.

JDevlieghere accepted this revision.Jan 28 2020, 8:45 AM

Doesn't look like it's used in the swift fork downstream either. LGTM

This revision is now accepted and ready to land.Jan 28 2020, 8:45 AM
clayborg accepted this revision.Jan 28 2020, 10:38 AM
This revision was automatically updated to reflect the committed changes.
labath added inline comments.Jan 29 2020, 12:09 AM
lldb/source/Core/ValueObject.cpp
2041

Should we remove the qualify_cxx_base_classes argument as well, given that it no longer does anything ?

xiaobai added inline comments.Jan 30 2020, 4:46 PM
lldb/source/Core/ValueObject.cpp
2041

It seems that this is a part of the SBValue interface. I think we can remove it from ValueObject but SBValue will have to stick with it.

labath added inline comments.Jan 31 2020, 12:23 AM
lldb/source/Core/ValueObject.cpp
2041

That sounds reasonable.